;$PAGINATE
;$title(Arnold 5 test)
;$subtitle(Run selected tests if main menu timesout)
;$copyright(Copyright (c) 1989, 1990, Amstrad plc.)
;$pagewidth=131
;
;
;        PUBLIC  DefaultTests    ;called from TESTPACK
;
;        EXTERN  ScreenSetMode           ;SUPPORT
;
;        EXTERN  FrameFlybackTest        ;FLYBACK
;        EXTERN  InterruptTest           ;INTTEST
;        EXTERN  RAMTest                 ;RAMTEST
;        EXTERN  SimpleSoundTest         ;SOUND
;        EXTERN  ScreenModesTest         ;MODES
;        EXTERN  SpritesTest             ;SPRITES
;        EXTERN  SplitScreenTest         ;SPLIT
;        EXTERN  SoftScrollTest          ;SSCROLL
;        EXTERN  RasterInterruptTest     ;RASTER
;
;        EXTERN  ErrorHandler            ;ERROR
;
;        DEFSEG  TestCode, CLASS=CODE
;
;        SEG     TestCode

;============
DefaultTests:
;============
;
; This is called if the main menu times out.
;
        ld      a,1
        call    ScreenSetMode
        call    FrameFlybackTest
        jp      c,ErrorHandler

        ld      a,1
        call    ScreenSetMode
        call    InterruptTest
        jp      c,ErrorHandler

        ld      a,1
        call    ScreenSetMode
        call    RAMTest
        jp      c,ErrorHandler

        ld      a,1
        call    ScreenSetMode
        call    UpperSoundTest
;;        call    SimpleSoundTest

        call    ScreenModesTest

        ld      a,1
        call    ScreenSetMode
        call    SpritesTest

        ld      a,1
        call    ScreenSetMode
        call    SplitScreenTest

        ld      a,1
        call    ScreenSetMode
        call    SoftScrollTest

        ld      a,1
        call    ScreenSetMode
        call    RasterInterruptTest

        jp      DefaultTests                    ;then stick in this loop

